﻿using System;
using System.Collections.ObjectModel;

namespace BaseApplicationProject.ViewModels
{
    public class TeamsYearlyData
    { 
        public string Team { get; set; }
        public ObservableCollection<DataItem> Data { get; set; }
    }

    public class DataItem
    {
        public int Year { get; set; }
        public int Value { get; set; }
        public string Team { get; set; }
    }

    public class MainViewModel
    {
        public ObservableCollection<TeamsYearlyData> Data { get; set; }

        public MainViewModel()
        {
            this.Data = GetSampleData();
        }

        private ObservableCollection<TeamsYearlyData> GetSampleData()
        {
            var result = new ObservableCollection<TeamsYearlyData>();
            var randomNumGenerator = new Random();

            for (int i = 1; i <= 4; i++)
            {
                result.Add(new TeamsYearlyData
                {
                    Team = "Team " + i,
                    Data = new ObservableCollection<DataItem>()
                    {
                        new DataItem { Year = 2013, Value = randomNumGenerator.Next(10, 30) },
                        new DataItem { Year = 2014, Value = randomNumGenerator.Next(10, 30) },
                        new DataItem { Year = 2015, Value = randomNumGenerator.Next(10, 30) },
                    }
                });    
            }

            return result;
        }
    }
}
